OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
orte-checkpoint.c File Reference

ORTE Checkpoint Tool for checkpointing a multiprocess job. More...

`#include "orte_config.h"`
`#include "orte/constants.h"`
`#include <stdio.h>`
`#include <errno.h>`
`#include "opal/util/cmd_line.h"`
`#include "opal/util/output.h"`
`#include "opal/util/argv.h"`
`#include "opal/util/opal_environ.h"`
`#include "opal/mca/base/base.h"`
`#include "opal/mca/base/mca_base_param.h"`
`#include "opal/mca/crs/crs.h"`
`#include "opal/mca/crs/base/base.h"`
`#include "opal/runtime/opal.h"`
`#include "opal/runtime/opal_cr.h"`
`#include "orte/runtime/runtime.h"`
`#include "orte/runtime/orte_cr.h"`
`#include "orte/util/hnp_contact.h"`
`#include "orte/runtime/orte_globals.h"`
`#include "orte/util/name_fns.h"`
`#include "opal/util/show_help.h"`
`#include "orte/util/proc_info.h"`
`#include "orte/mca/rml/rml.h"`
`#include "orte/mca/rml/rml_types.h"`
`#include "orte/mca/errmgr/errmgr.h"`
`#include "opal/dss/dss.h"`
`#include "orte/mca/snapc/snapc.h"`
`#include "orte/mca/snapc/base/base.h"`
`#include "orte/mca/sstore/sstore.h"`
`#include "orte/mca/sstore/base/base.h"`

## Data Structures
struct | orte_checkpoint_globals_t

## Functions
static int | ckpt_init (int argc, char *argv[])
static int | ckpt_finalize (void)
static int | parse_args (int argc, char *argv[])
static int | find_hnp (void)
static int | start_listener (void)
static int | stop_listener (void)
static void | hnp_receiver (int status, orte_process_name_t *sender, opal_buffer_t *buffer, orte_rml_tag_t tag, void *cbdata)
static void | process_ckpt_update_cmd (orte_process_name_t *sender, opal_buffer_t *buffer)
static int | notify_process_for_checkpoint (opal_crs_base_ckpt_options_t *options)
static int | pretty_print_status (void)
static int | pretty_print_reference (void)
static int | list_all_snapshots (void)
static double | get_time (void)
int | main (int argc, char *argv[])

## Variables
static orte_hnp_contact_t * | orterun_hnp = NULL
static char * | global_snapshot_handle = NULL
static int | global_sequence_num = 0
static bool | listener_started = false
static bool | is_checkpoint_finished = false
static bool | is_checkpoint_established = false
static bool | is_checkpoint_recovered = false
static double | timer_start = 0
static double | timer_last = 0
orte_checkpoint_globals_t | orte_checkpoint_globals
opal_cmd_line_init_t | cmd_line_opts []

## Detailed Description

ORTE Checkpoint Tool for checkpointing a multiprocess job.

## Function Documentation

static int parse_args | ( | int | argc,
|  | char * | argv[]
| ) |  |
| static

Put all of the MCA arguments in the environment

Now start parsing our specific arguments

References mca_base_param_env_var(), opal_argv_count(), opal_cmd_line_create(), opal_cmd_line_get_tail(), opal_cmd_line_get_usage_msg(), opal_cmd_line_parse(), opal_setenv(), opal_show_help_string(), orte_checkpoint_globals_t::req_hnp, opal_crs_base_ckpt_options_1_0_0_t::stop, and opal_crs_base_ckpt_options_1_0_0_t::term.